<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('adv_rotator_editor_before');

LabCMS::i()->setAdminSkin();

$adv=Factory::create('adv_rotator_editor.main');

if (!access('edit')) return LabCMS::i()->error403();

$action='list_all';
if (isset($_GET['action']) && is_callable(array($adv, $_GET['action']))) $action=$_GET['action'];
call_user_func(array($adv, $action));

Hook::call('adv_rotator_editor_after');